package com.cmvr.web.controller.test;

import com.cmvr.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "测试--语音唤醒")
@RestController
@RequestMapping("/kws")
@RequiredArgsConstructor
public class TekKeywordsSpotController {

    @ApiOperation("唤醒")
    @GetMapping("/wake")
    public AjaxResult wake() {
        return AjaxResult.ok();
    }

    @ApiOperation("执行")
    @GetMapping("/execute")
    public AjaxResult execute() {
        return AjaxResult.ok();
    }
}
